from importlib import metadata as __metadata

from typing_extensions import Final as __Final


__version__: __Final = __metadata.version(__name__)


from svglab.elements import (
    A,
    AltGlyph,
    AltGlyphDef,
    AltGlyphItem,
    Animate,
    AnimateColor,
    AnimateMotion,
    AnimateTransform,
    CData,
    Circle,
    ClipPath,
    ColorProfile,
    Comment,
    Cursor,
    Defs,
    Desc,
    Element,
    Ellipse,
    FeBlend,
    FeColorMatrix,
    FeComponentTransfer,
    FeComposite,
    FeConvolveMatrix,
    FeDiffuseLighting,
    FeDisplacementMap,
    FeDistantLight,
    FeFlood,
    FeFuncA,
    FeFuncB,
    FeFuncG,
    FeFuncR,
    FeGaussianBlur,
    FeImage,
    FeMerge,
    FeMergeNode,
    FeMorphology,
    FeOffset,
    FePointLight,
    FeSpecularLighting,
    FeSpotLight,
    FeTile,
    FeTurbulence,
    Filter,
    Font,
    FontFace,
    FontFaceFormat,
    FontFaceName,
    FontFaceSrc,
    FontFaceUri,
    ForeignObject,
    G,
    Glyph,
    GlyphRef,
    Hkern,
    Image,
    Line,
    LinearGradient,
    Marker,
    Mask,
    Metadata,
    MissingGlyph,
    Mpath,
    PairedTag,
    Path,
    Pattern,
    Polygon,
    Polyline,
    RadialGradient,
    RawText,
    Rect,
    Script,
    Set,
    Stop,
    Style,
    Svg,
    Switch,
    Symbol,
    Tag,
    Text,
    TextElement,
    TextPath,
    Title,
    Tref,
    Tspan,
    Use,
    View,
    Vkern,
)
from svglab.parse import parse_svg


__all__ = [
    "A",
    "AltGlyph",
    "AltGlyphDef",
    "AltGlyphItem",
    "Animate",
    "AnimateColor",
    "AnimateMotion",
    "AnimateTransform",
    "CData",
    "CData",
    "Circle",
    "ClipPath",
    "ColorProfile",
    "Comment",
    "Comment",
    "Cursor",
    "Defs",
    "Desc",
    "Element",
    "Element",
    "Ellipse",
    "FeBlend",
    "FeColorMatrix",
    "FeComponentTransfer",
    "FeComposite",
    "FeConvolveMatrix",
    "FeDiffuseLighting",
    "FeDisplacementMap",
    "FeDistantLight",
    "FeFlood",
    "FeFuncA",
    "FeFuncB",
    "FeFuncG",
    "FeFuncR",
    "FeGaussianBlur",
    "FeImage",
    "FeMerge",
    "FeMergeNode",
    "FeMorphology",
    "FeOffset",
    "FePointLight",
    "FeSpecularLighting",
    "FeSpotLight",
    "FeTile",
    "FeTurbulence",
    "Filter",
    "Font",
    "FontFace",
    "FontFaceFormat",
    "FontFaceName",
    "FontFaceSrc",
    "FontFaceUri",
    "ForeignObject",
    "G",
    "G",
    "G",
    "Glyph",
    "GlyphRef",
    "Hkern",
    "Image",
    "Line",
    "LinearGradient",
    "Marker",
    "Mask",
    "Metadata",
    "MissingGlyph",
    "Mpath",
    "PairedTag",
    "Path",
    "Pattern",
    "Polygon",
    "Polyline",
    "RadialGradient",
    "RawText",
    "RawText",
    "RawText",
    "Rect",
    "Rect",
    "Rect",
    "Script",
    "Set",
    "Stop",
    "Style",
    "Svg",
    "Svg",
    "Svg",
    "Switch",
    "Symbol",
    "Tag",
    "Text",
    "TextElement",
    "TextElement",
    "TextPath",
    "Title",
    "Tref",
    "Tspan",
    "Use",
    "View",
    "Vkern",
    "parse_svg",
]
